package de.ivu.elect.business.dokumente.boundary;

import java.io.Serializable;

import javax.enterprise.context.ApplicationScoped;

import de.ivu.elect.business.dokumente.entity.LibreOfficeStatus;

@ApplicationScoped
public class LetzterLibreOfficeStatus implements Serializable {

  private static final long serialVersionUID = 1L;

  private LibreOfficeStatus libreOfficeStatus;

  public LibreOfficeStatus getLibreOfficeStatus() {
    if (libreOfficeStatus == null) {
      return LibreOfficeStatus.NICHT_VERWENDET;
    }
    return libreOfficeStatus;
  }

  public void setLibreOfficeStatus(LibreOfficeStatus libreOfficeStatus) {
    this.libreOfficeStatus = libreOfficeStatus;
  }
}
